Subject: Re: 8xx v2.6 TLB problems and suggested workaround

From: Dan Malek <[email-masked]>
Date: Sat, 23 Apr 2005 18:23:36 -0400

On Apr 23, 2005, at 6:07 PM, Joakim Tjernlund wrote:

> Do you refer to the assembler code above or some other assembler code 
> such
> as my dcbX workaround? I once had a C version of that workaround that 
> lived
> in fault.c. Sadly it think it is gone now, not sure if I ever sent it 
> to the list.

Yes, the dcbx and anything else we may have to place in there.  At most,
we should emulate whatever is necessary in C code and just invalidate
the TLB entry for reloading, if the PTE has changed.  We shouldn't be
trying to load TLB entries.

Thanks.

	-- Dan